Get customer details
curl --request GET \
--url https://partner-dev.coinut.net/customer/detail \
--header 'X-API-Key: <api-key>' \
--header 'X-API-Secret: <api-key>'import requests
url = "https://partner-dev.coinut.net/customer/detail"
headers = {
"X-API-Key": "<api-key>",
"X-API-Secret": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'X-API-Key': '<api-key>', 'X-API-Secret': '<api-key>'}
};
fetch('https://partner-dev.coinut.net/customer/detail', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "SUCCESS",
"data": {
"id": "<string>",
"realName": "<string>",
"country": "<string>",
"countryName": {},
"nationality": "<string>",
"nationalityName": {},
"city": "<string>",
"address": "<string>",
"dob": {},
"isIndividual": true,
"email": "<string>",
"externalId": "<string>",
"sumsubLink": "https://in.sumsub.com/websdk/p/sbx_4pe01gDQ0uXG5lVw",
"status": "PENDING",
"remark": "<string>"
}
}{
"status": "INVALID_PARAMETERS",
"message": "invalid parameters"
}Customers
Get Customer Detail
Retrieves customer details by email or customer ID
GET
/
customer
/
detail
Get customer details
Query Parameters
Customer email
Example:
"john.doe@example.com"
Customer ID
Example:
"6ac34182-aa2e-4290-ab1b-302a09f451d1"
External customer identifier from partner system
Example:
"partner-customer-001"
⌘I

